6

Since the Spring release has updated in our Production environment, we are seeing strange errors when validating with the Ant Deployment tool which seems to suggest that it suddenly stops being able to connect with the API. When I go into Salesforce and look at the validation in Salesforce, the validation is successful and Quick Deploy is available. The failing tool is not taking over 30mins to fail (up from about 3/4mins) and has many (maybe 50-100) of these identical errors:

Error: InfoNot a valid enumeration for type: class com.sforce.soap.metadata.DeployProblemType. Retrying...

I have tried resetting the credentials and contacting support, but as usual they're not interested because it's considered developer stuff :-( Any ideas?

  • 2
    Try downloading the latest version (of ant.jar)? It really sounds like a problem inside the tool itself, possibly because of the new API version. That, or you might try setting your package.xml version back to 44.0, unless you need the new features. – sfdcfox Feb 5 at 18:26
  • 1
    I was still on 44.0, but you are correct and updating the jar file seems to have worked perfectly. Thank you! – Anthony Mealand Feb 6 at 9:39
4

Updating latest version of ant.jar file worked to resolve this issue. https://developer.salesforce.com/docs/atlas.en-us.daas.meta/daas/forcemigrationtool_install.htm

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.